#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  gst-plugins-ugly-1.18.3

- Next

  gstreamer-vaapi-1.18.3

- Up
- Home

# gst-libav-1.18.3

## Introduction to GStreamer Libav

The GStreamer Libav package contains GStreamer plugins for Libav (a fork of FFmpeg).

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://gstreamer.freedesktop.org/src/gst-libav/gst-libav-1.18.3.tar.xz

- Download MD5 sum: a113867d4de0403c6d4d1ad145c8a950

- Download size: 276 KB

- Estimated disk space required: 8.5 MB

- Estimated build time: less than 0.1 SBU (Using parallelism=4)

### GStreamer Libav Dependencies

#### Required

FFmpeg-4.3.2 and gst-plugins-base-1.18.3

#### Recommended

yasm-1.3.0

#### Optional

hotdoc and Orc

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/gst10-libav

## Installation of GStreamer Libav

### Note

If you do not have an Objective-C compiler installed, the build system for this package will emit a warning about a failed sanity check. This is harmless, and it is safe to continue.

Install GStreamer Libav by running the following commands:

    mkdir build &&
    cd    build &&

    meson  --prefix=/usr       \
           -Dbuildtype=release \
           -Dpackage-origin=http://www.linuxfromscratch.org/blfs/view/svn/ \
           -Dpackage-name="GStreamer 1.18.3 BLFS" &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Contents

Installed Programs: None
Installed Library: libgstlibav.so
Installed Directory: None

Last updated on 2021-02-24 11:35:31 -0800

- Prev

  gst-plugins-ugly-1.18.3

- Next

  gstreamer-vaapi-1.18.3

- Up
- Home